Subject: bug#21019: ifconfig doesn't allow mac change for devices

From: Alex Kost <[email-masked]>
Date: Fri, 10 Jul 2015 08:58:13 +0300

[email-masked] [email-masked] (2015-07-09 21:16 +0300) wrote:

> Hello, I am trying to install guixsd with the installation image, my wireless
> internet provider allows me for only one MAC. The command I use to change the
> card mac on other distros and installation images is:
>
> ifconfig device hw ether NewMacAdress
>
> But with guixsd ifconfig fails telling me that the device can have only one
> address. Interesting to notice that I can put whatever device, even non existent
> names like "jlakjdj" and it tells the same thing, the device can only have on
> adress. I have an Atheros card.

As I answered on IRC <https://gnunet.org/bot/log/guix/2015-07-09#T695806>,
my speculative guess is that perhaps ifconfig is patched on other
distros to handle this problem.

Did you try "ip link set <device> address <address>"?

-- 
Alex